Linux Kernel 'snd_seq_oss_open()' Multiple Local Memory Corruption Vulnerabilities

The Linux kernel is prone to multiple local memory-corruption vulnerabilities. These vulnerabilities include a double-free vulnerability and a pointer dereferencing vulnerability.

An attacker can exploit these issues to execute arbitrary code with kernel-level privileges. Successful exploits will result in the complete compromise of affected computers. Failed exploit attempts may cause a denial-of-service condition.

NOTE: These issues do not affect the versions of the Linux kernel shipped with Red Hat Enterprise Linux 3, 4, and 5 as it did not include upstream commit 7034632d. Red Hat Enterprise MRG is not affected, as the '/dev/sequencer' device file is restricted to root access only.


 

Privacy Statement
Copyright 2010, SecurityFocus